Bug 54330 - Patch with some refactoring of Member.java [PATCH proposed for TC7]
Summary: Patch with some refactoring of Member.java [PATCH proposed for TC7]
Alias: None
Product: Tomcat 7
Classification: Unclassified
Component: Cluster (show other bugs)
Version: trunk
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
Depends on:
Reported: 2012-12-19 13:46 UTC by Greg Turnquist
Modified: 2016-02-23 21:21 UTC (History)
0 users

patch file made against tomcat trunk (35.50 KB, patch)
2012-12-19 13:46 UTC, Greg Turnquist
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Turnquist 2012-12-19 13:46:48 UTC
Created attachment 29779 [details]
patch file made against tomcat trunk

Attached is a patch file where I went through looking for usage of concrete class MemberImpl, and when possible, replaced it with the interface Member. I added a few (maybe three) methods to the Member interface definition to support those changes. I ran the entire test suite, and the only tests that failed were already failing without my changes (org.apache.catalina.websocket.TestWebSocket, so I don't think those are related to mine.
Comment 1 Mark Thomas 2012-12-21 15:29:45 UTC
Comment on attachment 29779 [details]
patch file made against tomcat trunk

Correct MIME Type. Mark as patch.
Comment 2 Greg Turnquist 2012-12-21 19:37:02 UTC
I tagged it as patch, but can't seem to change mime type.
Comment 3 Mark Thomas 2013-01-08 22:57:43 UTC
A minor variation of this patch has been applied to trunk and proposed for 7.0.x.

RTC is being used for 7.0.x because of the API change. It should be safe but I'd prefer other committers to review it before it is committed.
Comment 4 Filip Hanik 2014-04-11 15:39:32 UTC
Patch looks good to me. I like the cleanup of using the interface.
Comment 5 Mark Thomas 2016-02-23 21:21:06 UTC
Too much time has passed (3 years since the original proposal). Given that 8.0.x has this patch and that we don't want to change the API in 7.0.x unless we have to, I am resolving this as WONTFIX specifically for 7.0.x.